Skip to content

Licenses ​


In order to use the services offered by this platform, a tenant requires at least 1 subscription. Based on what was ordered certain amount of licenses will be associated to the subscription. These licenses define the services that can be consumed by the subscripton. Currently following licenses are defined:

  • MS Teams users licenses: each MS Teams user that requires a phone number on this platform requires a license
  • SIP trunk channels: SIP trunks allow to connect an on-prem PBX to this platform. For each SIP trunk channel, 1 simultaneous call can be

Get the licenses of a group ​

The following endpoint provides the licenses for all the subscription of all the tenants of the given group as well as their current usage.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/licenses

Authorization ​

Required role

groups.instance.licenses.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group

URL/Query parameters ​

ParameterTypeDescriptionRequired?
detailedbooleanIf true will return the license consumption per subscription, otherwise a generic overviewno

Response ​

Status codes ​

ParameterDescription
200One or more licenses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
groupobjectObject group license detail object with the information about license consumption of each entity in the group. Note that this list will be returned only with query parameter detailed=True.yes
Group License detail Object ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
distributorsobjectList of distributor license detail object with the information about license consumption of each distributor.no
resellersobjectList of reseller license detail object with the information about license consumption of each direct reseller.no
tenantsobjectList of tenant license detail object with the information about license consumption of each direct tenant.no
Distributor License detail Object ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
uuidintegerA system generated unique ID (UUID) identifying the distributorno
namestringName of the distributorno
resellersobjectList of reseller license detail object with the information about license consumption of each reseller.no
tenantsobjectList of tenant license detail object with the information about license consumption of each direct tenant.no
Reseller License detail Object ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
uuidintegerA system generated unique ID (UUID) identifying the resellerno
namestringName of the resellerno
tenantsobjectList of tenant license detail object with the information about license consumption of each tenant.no
Tenant License detail Object ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
uuidintegerA system generated unique ID (UUID) identifying the tenantno
namestringName of the tenantno
subscriptionsobjectList of subscription license detail object with the information about license consumption of each subscription.no
Subscription License detail Object ​
ParameterTypeDescriptionConditional?
idintegerIndex of the subscriptionno
namestringName of the subscriptionno
assignedintegerAmount of licenses associated to the subscriptionno
descriptionstringThe description of the licenseno
namestringThe name of the licenseno
servicestringThe name of the service linked to the licenseno
inUseintegerIndicates the total amount of licenses currently in use. Only for msTeamsUsers license.yes
inUseMsResourceAccountintegerIndicates the amount of licenses currently in use by resource account users. Only for msTeamsUsers license.yes
inUseMsUsersintegerIndicates the amount of licenses currently in use by normal users. Only for msTeamsUsers license.yes
Example with detailed=False ​
json
{
    "licenses": {
        "license1": {
            "assigned": 4,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "license2": {
            "assigned": 10,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 28,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 22,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 31,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}
Example with detailed=True ​
json
{
    "group": {
        "distributors": [
            {
                "uuid": "3c11b370-8e24-416a-af02-fd21d1533587",
                "name": "DistributorDemo",
                "licenses": {
                    "license1": {
                        "assigned": 2,
                        "description": "License 1",
                        "name": "License 1",
                        "service": null
                    },
                    "license2": {
                        "assigned": 2,
                        "description": "License 2",
                        "name": "License 2",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 21,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 12,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 23,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "resellers": [
                    {
                        "name": "ResellerDistributorDemo",
                        "licenses": {
                            "license1": {
                                "assigned": 3,
                                "description": "License 1",
                                "name": "License 1",
                                "service": null
                            },
                            "msTeamsUsers": {
                                "assigned": 15,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 8,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 15,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        },
                        "tenants": [
                            {
                                "uuid": "21fb665e-c3db-40c5-a50c-65a9d4be540a",
                                "name": "TenantDemo",
                                "licenses": {
                                    "license1": {
                                        "assigned": 3,
                                        "description": "License 1",
                                        "name": "License 1",
                                        "service": null
                                    },
                                    "msTeamsUsers": {
                                        "assigned": 15,
                                        "description": "MS Teams Users",
                                        "inUse": 0,
                                        "inUseMsResourceAccount": 0,
                                        "inUseMsUsers": 0,
                                        "name": "MS Teams Users",
                                        "service": "msteams"
                                    },
                                    "sipTrunkChannelInternational": {
                                        "assigned": 8,
                                        "description": "International SIP Channel",
                                        "name": "International SIP Channel",
                                        "service": "sip"
                                    },
                                    "sipTrunkChannelNational": {
                                        "assigned": 15,
                                        "description": "National SIP Channel",
                                        "name": "National SIP Channel",
                                        "service": "sip"
                                    }
                                },
                                "subscriptions": [
                                    {
                                        "id": 1,
                                        "licenses": {
                                            "msTeamsUsers": {
                                                "assigned": 10,
                                                "description": "MS Teams Users",
                                                "inUse": 0,
                                                "inUseMsResourceAccount": 0,
                                                "inUseMsUsers": 0,
                                                "name": "MS Teams Users",
                                                "service": "msteams"
                                            },
                                            "sipTrunkChannelNational": {
                                                "assigned": 10,
                                                "description": "National SIP Channel",
                                                "name": "National SIP Channel",
                                                "service": "sip"
                                            }
                                        },
                                        "name": "testSub"
                                    },
                                    {
                                        "id": 4,
                                        "name": "rben_sub1",
                                        "licenses": {
                                            "sipTrunkChannelNational": {
                                                "assigned": 5,
                                                "description": "National SIP Channel",
                                                "name": "National SIP Channel",
                                                "service": "sip"
                                            }
                                        }
                                    },
                                    {
                                        "id": 5,
                                        "licenses"{
                                            "license1": {
                                                "assigned": 3,
                                                "description": "License 1",
                                                "name": "License 1",
                                                "service": null
                                            },
                                            "msTeamsUsers": {
                                                "assigned": 5,
                                                "description": "MS Teams Users",
                                                "inUse": 0,
                                                "inUseMsResourceAccount": 0,
                                                "inUseMsUsers": 0,
                                                "name": "MS Teams Users",
                                                "service": "msteams"
                                            },
                                            "sipTrunkChannelInternational": {
                                                "assigned": 8,
                                                "description": "International SIP Channel",
                                                "name": "International SIP Channel",
                                                "service": "sip"
                                            }
                                        },
                                        "name": "testSub2"
                                    }
                                ]
                            }
                        ],
                        "uuid": "b7f784a2-87f6-483b-a5ac-bef566c6da19"
                    }
                ],
                "tenants": [
                    {
                        "licenses": {
                            "license2": {
                                "assigned": 3,
                                "description": "License 2",
                                "name": "License 2",
                                "service": null
                            },
                            "msTeamsUsers": {
                                "assigned": 6,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 4,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 8,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        },
                        "name": "TenantDistributorDemo",
                        "subscriptions": [
                            {
                                "id": 6,
                                "name": "SubscriptionTD1",
                                "licenses": {
                                    "license2": {
                                        "assigned": 3,
                                        "description": "License 2",
                                        "name": "License 2",
                                        "service": null
                                    },
                                    "sipTrunkChannelNational": {
                                        "assigned": 8,
                                        "description": "National SIP Channel",
                                        "name": "National SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            },
                            {
                                "id": 7,
                                "name": "SubscriptionTD2",
                                "licenses": {
                                    "msTeamsUsers": {
                                        "assigned": 6,
                                        "description": "MS Teams Users",
                                        "inUse": 0,
                                        "inUseMsResourceAccount": 0,
                                        "inUseMsUsers": 0,
                                        "name": "MS Teams Users",
                                        "service": "msteams"
                                    },
                                    "sipTrunkChannelInternational": {
                                        "assigned": 4,
                                        "description": "International SIP Channel",
                                        "name": "International SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            }
                        ],
                        "uuid": "e70e7e84-7399-4fcc-9f36-e891d4df020e"
                    }
                ]
            }
        ],
        "name": "Node4Poc",
        "resellers": [
            {
                "licenses": {
                    "license2": {
                        "assigned": 3,
                        "description": "License 2",
                        "name": "License 2",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 2,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 6,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 4,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "name": "ResellerDemo",
                "tenants": [
                    {
                        "licenses": {
                            "license2": {
                                "assigned": 3,
                                "description": "License 2",
                                "name": "License 2",
                                "service": null
                            },
                            "msTeamsUsers": {
                                "assigned": 2,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 6,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 4,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        },
                        "name": "TenantResellerDemo",
                        "subscriptions": [
                            {
                                "id": 10,
                                "licenses": {
                                    "license2": {
                                        "assigned": 3,
                                        "description": "License 2",
                                        "name": "License 2",
                                        "service": null
                                    },
                                    "msTeamsUsers": {
                                        "assigned": 2,
                                        "description": "MS Teams Users",
                                        "inUse": 0,
                                        "inUseMsResourceAccount": 0,
                                        "inUseMsUsers": 0,
                                        "name": "MS Teams Users",
                                        "service": "msteams"
                                    },
                                    "sipTrunkChannelInternational": {
                                        "assigned": 1,
                                        "description": "International SIP Channel",
                                        "name": "International SIP Channel",
                                        "service": "sip"
                                    }
                                },
                                "name": "SubscriptionTR1"
                            },
                            {
                                "id": 11,
                                "name": "SubscriptionTR2",
                                "licenses": {
                                    "sipTrunkChannelInternational": {
                                        "assigned": 5,
                                        "description": "International SIP Channel",
                                        "name": "International SIP Channel",
                                        "service": "sip"
                                    },
                                    "sipTrunkChannelNational": {
                                        "assigned": 4,
                                        "description": "National SIP Channel",
                                        "name": "National SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            }
                        ],
                        "uuid": "470aa08c-e422-437f-bb34-cc4cf4eb2433"
                    }
                ],
                "uuid": "867599fd-195b-4cd3-99b8-44a021799559"
            }
        ],
        "tenants": [
            {
                "licenses": {
                    "license1": {
                        "assigned": 3,
                        "description": "License 1",
                        "name": "License 1",
                        "service": null
                    },
                    "license2": {
                        "assigned": 5,
                        "description": "License 2",
                        "name": "License 2",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 5,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 4,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 4,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "name": "TenantGroupDemo",
                "subscriptions": [
                    {
                        "id": 8,
                        "name": "SubscriptionTG1",
                        "licenses": {
                            "license1": {
                                "assigned": 3,
                                "description": "License 1",
                                "name": "License 1",
                                "service": null
                            },
                            "license2": {
                                "assigned": 5,
                                "description": "License 2",
                                "name": "License 2",
                                "service": null
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 4,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        }
                    },
                    {
                        "id": 9,
                        "name": "SubscriptionTG2",
                        "licenses": {
                            "msTeamsUsers": {
                                "assigned": 5,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 4,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            }
                        }
                    }
                ],
                "uuid": "2e35cb52-93f4-4f03-ad65-f027573b8398"
            }
        ],
        "uuid": "adb26c5a-38bf-469c-87e2-20445fa1e64d"
    },
    "licenses": {
        "license1": {
            "assigned": 4,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "license2": {
            "assigned": 10,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 28,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 22,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 31,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}

Get the licenses of a distributor ​

The following endpoint provides the licenses for all the subscription of all the tenants directly linked to the given distributor or directly linked to it's direct resellers as well as their current usage.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/licenses

Authorization ​

Required role

distributors.instance.licenses.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the distributor

URL/Query parameters ​

ParameterTypeDescriptionRequired?
detailedbooleanIf true will return the license consumption per subscription, otherwise a generic overviewno

Response ​

Status codes ​

ParameterDescription
200One or more licenses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
distributorobjectObject distributor license detail object with the information about license consumption of each entity in the distributor. Note that this list will be returned only with query parameter detailed=True.yes
Example with detailed=False ​
json
{
    "licenses":  {
        "license1": {
            "assigned": 2,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "license2": {
            "assigned": 2,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 21,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 12,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 23,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}
Example with detailed=True ​
json
{
    "distributor": {
        "name": "DistributorDemo",
        "resellers": [
            {
                "name": "ResellerDistributorDemo",
                "licenses": {
                    "license1": {
                        "assigned": 3,
                        "description": "License 1",
                        "name": "License 1",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 15,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 8,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 15,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "tenants": [
                    {
                        "name": "TenantDemo",
                        "licenses": {
                            "license1": {
                                "assigned": 3,
                                "description": "License 1",
                                "name": "License 1",
                                "service": null
                            },
                            "msTeamsUsers": {
                                "assigned": 15,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 8,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 15,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        },
                        "subscriptions": [
                            {
                                "id": 1,
                                "name": "testSub",
                                "licenses": {
                                    "msTeamsUsers": {
                                        "assigned": 10,
                                        "description": "MS Teams Users",
                                        "inUse": 0,
                                        "inUseMsResourceAccount": 0,
                                        "inUseMsUsers": 0,
                                        "name": "MS Teams Users",
                                        "service": "msteams"
                                    },
                                    "sipTrunkChannelNational": {
                                        "assigned": 10,
                                        "description": "National SIP Channel",
                                        "name": "National SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            },
                            {
                                "id": 4,
                                "name": "rben_sub1",
                                "licenses": {
                                    "sipTrunkChannelNational": {
                                        "assigned": 5,
                                        "description": "National SIP Channel",
                                        "name": "National SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            },
                            {
                                "id": 5,
                                "name": "testSub2",
                                "licenses": {
                                    "license1": {
                                        "assigned": 3,
                                        "description": "License 1",
                                        "name": "License 1",
                                        "service": null
                                    },
                                    "msTeamsUsers": {
                                        "assigned": 5,
                                        "description": "MS Teams Users",
                                        "inUse": 0,
                                        "inUseMsResourceAccount": 0,
                                        "inUseMsUsers": 0,
                                        "name": "MS Teams Users",
                                        "service": "msteams"
                                    },
                                    "sipTrunkChannelInternational": {
                                        "assigned": 8,
                                        "description": "International SIP Channel",
                                        "name": "International SIP Channel",
                                        "service": "sip"
                                    }
                                }
                            }
                        ],
                        "uuid": "21fb665e-c3db-40c5-a50c-65a9d4be540a"
                    }
                ],
                "uuid": "b7f784a2-87f6-483b-a5ac-bef566c6da19"
            }
        ],
        "tenants": [
            {
                "name": "TenantDistributorDemo",
                "licenses": {
                    "license2": {
                        "assigned": 3,
                        "description": "License 2",
                        "name": "License 2",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 6,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 4,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 8,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "subscriptions": [
                    {
                        "id": 6,
                        "name": "SubscriptionTD1",
                        "licenses": {
                            "license2": {
                                "assigned": 3,
                                "description": "License 2",
                                "name": "License 2",
                                "service": null
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 8,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        }
                    },
                    {
                        "id": 7,
                        "name": "SubscriptionTD2",
                        "licenses": {
                            "msTeamsUsers": {
                                "assigned": 6,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 4,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            }
                        }
                    }
                ],
                "uuid": "e70e7e84-7399-4fcc-9f36-e891d4df020e"
            }
        ],
        "uuid": "3c11b370-8e24-416a-af02-fd21d1533587"
    },
    "licenses": {
        "license1": {
            "assigned": 2,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "license2": {
            "assigned": 2,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 21,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 12,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 23,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}

Get the licenses of a reseller ​

The following endpoint provides the licenses for all the subscription of all the tenants directly linked to the given reseller as well as their current usage.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/licenses

Authorization ​

Required role

resellers.instance.licenses.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the reseller

URL/Query parameters ​

ParameterTypeDescriptionRequired?
detailedbooleanIf true will return the license consumption per subscription, otherwise a generic overviewno

Response ​

Status codes ​

ParameterDescription
200One or more licenses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
resellerobjectObject reseller license detail object with the information about license consumption of each entity in the reseller. Note that this list will be returned only with query parameter detailed=True.yes
Example with detailed=False ​
json
{
    "licenses": {
        "license2": {
            "assigned": 3,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 2,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 6,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 4,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}
Example with detailed=True ​
json
{
    "reseller": {
        "name": "ResellerDemo",
        "tenants": [
            {
                "licenses": {
                    "license2": {
                        "assigned": 3,
                        "description": "License 2",
                        "name": "License 2",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 2,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 6,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 4,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                },
                "name": "TenantResellerDemo",
                "subscriptions": [
                    {
                        "id": 10,
                        "name": "SubscriptionTR1",
                        "licenses": {
                            "license2": {
                                "assigned": 3,
                                "description": "License 2",
                                "name": "License 2",
                                "service": null
                            },
                            "msTeamsUsers": {
                                "assigned": 2,
                                "description": "MS Teams Users",
                                "inUse": 0,
                                "inUseMsResourceAccount": 0,
                                "inUseMsUsers": 0,
                                "name": "MS Teams Users",
                                "service": "msteams"
                            },
                            "sipTrunkChannelInternational": {
                                "assigned": 1,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            }
                        }
                    },
                    {
                        "id": 11,
                        "name": "SubscriptionTR2",
                        "licenses": {
                            "sipTrunkChannelInternational": {
                                "assigned": 5,
                                "description": "International SIP Channel",
                                "name": "International SIP Channel",
                                "service": "sip"
                            },
                            "sipTrunkChannelNational": {
                                "assigned": 4,
                                "description": "National SIP Channel",
                                "name": "National SIP Channel",
                                "service": "sip"
                            }
                        }
                    }
                ],
                "uuid": "470aa08c-e422-437f-bb34-cc4cf4eb2433"
            }
        ],
        "uuid": "867599fd-195b-4cd3-99b8-44a021799559"
    },
    "licenses": {
        "license2": {
            "assigned": 3,
            "description": "License 2",
            "name": "License 2",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 2,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 6,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 4,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}

Get the licenses of a tenant ​

The following endpoint provides the licenses for all the subscription of the given tenant as well as their current usage.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/licenses

Authorization ​

Required role

tenants.instance.licenses.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant

URL/Query parameters ​

ParameterTypeDescriptionRequired?
detailedbooleanIf true will return the license consumption per subscription, otherwise a generic overviewno

Response ​

Status codes ​

ParameterDescription
200One or more licenses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
tenantobjectObject tenant license detail object with the information about license consumption of each entity in the tenant. Note that this list will be returned only with query parameter detailed=True.yes
Example with detailed=False ​
json
{
    "licenses": {
        "license1": {
            "assigned": 3,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 15,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 8,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 15,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}
Example with detailed=True ​
json
{
    "tenant": {
        "name": "TenantDemo",
        "subscriptions": [
            {
                "id": 1,
                "name": "testSub",
                "licenses": {
                    "msTeamsUsers": {
                        "assigned": 10,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelNational": {
                        "assigned": 10,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                }
            },
            {
                "id": 4,
                "name": "rben_sub1",
                "licenses": {
                    "sipTrunkChannelNational": {
                        "assigned": 5,
                        "description": "National SIP Channel",
                        "name": "National SIP Channel",
                        "service": "sip"
                    }
                }
            },
            {
                "id": 5,
                "name": "testSub2",
                "licenses": {
                    "license1": {
                        "assigned": 3,
                        "description": "License 1",
                        "name": "License 1",
                        "service": null
                    },
                    "msTeamsUsers": {
                        "assigned": 5,
                        "description": "MS Teams Users",
                        "inUse": 0,
                        "inUseMsResourceAccount": 0,
                        "inUseMsUsers": 0,
                        "name": "MS Teams Users",
                        "service": "msteams"
                    },
                    "sipTrunkChannelInternational": {
                        "assigned": 8,
                        "description": "International SIP Channel",
                        "name": "International SIP Channel",
                        "service": "sip"
                    }
                }
            }
        ],
        "uuid": "21fb665e-c3db-40c5-a50c-65a9d4be540a"
    },
    "licenses": {
        "license1": {
            "assigned": 3,
            "description": "License 1",
            "name": "License 1",
            "service": null
        },
        "msTeamsUsers": {
            "assigned": 15,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelInternational": {
            "assigned": 8,
            "description": "International SIP Channel",
            "name": "International SIP Channel",
            "service": "sip"
        },
        "sipTrunkChannelNational": {
            "assigned": 15,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}

Get the licenses of a subscription ​

The following endpoint provides the licenses of the given subscription as well as their current usage.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/licenses

Authorization ​

Required role

tenants.instance.subscriptions.instance.licenses.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idstringA system generated ID identifying the subscription for which you want to get the licenses

Response ​

Status codes ​

ParameterDescription
200Subscription licenses found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No license found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
Example ​
json
{
    "licenses": {
        "msTeamsUsers": {
            "assigned": 10,
            "description": "MS Teams Users",
            "inUse": 0,
            "inUseMsResourceAccount": 0,
            "inUseMsUsers": 0,
            "name": "MS Teams Users",
            "service": "msteams"
        },
        "sipTrunkChannelNational": {
            "assigned": 10,
            "description": "National SIP Channel",
            "name": "National SIP Channel",
            "service": "sip"
        }
    }
}

Update the license limits of a subscription ​

Use this endpoint to associate more or less licenses to a subscription

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/licenses

Authorization ​

Required role

tenants.instance.subscriptions.instance.licenses.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to change the licenses

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
licensesobjectObject representing all the licenses assigned to the subscription. Each inner object has the <license_name> as key and as value the amount of the licenses that has be assigned to the subscriptions. See license object for more details.no
License updated Object ​
ParameterTypeDescriptionConditional?
assignedintegerNew value for the amount of licenses associated to the subscriptionno

Example ​

json
{
    "msTeamsUsers": {
        "assigned": 10
    }
}

Response ​

Status codes ​

ParameterDescription
200The license was updated successfully
400Error while updating the license
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

same as Get the licenses of a subscription

Common Objects ​

License Object ​

ParameterTypeDescriptionConditional?
assignedintegerAmount of licenses associated to the subscriptionno
descriptionstringThe description of the licenseno
namestringThe name of the licenseno
servicestringThe name of the service linked to the licenseno
inUseintegerIndicates the total amount of licenses currently in use. Only for msTeamsUsers license.yes
inUseMsResourceAccountintegerIndicates the amount of licenses currently in use by resource account users. Only for msTeamsUsers license.yes
inUseMsUsersintegerIndicates the amount of licenses currently in use by normal users. Only for msTeamsUsers license.yes